Page MenuHomePhabricator

mw.notify() with type to get different ui with predefined styles
Closed, ResolvedPublic

Description

mw.notify() with type for watch and patrol

mw.notify() is used for success and for fail notifications. But it has always the same style.

It would be nice to have a set of predefined ui styles for different types. The types should orient at the API results: For example:

  • type "notify": Green. Success. Default style.
  • type "warn": Yellow. Success but with warning.
  • type "error": Red. Fail.

I created a patch to demonstrate the idea. The styles use different background colors for the different types. It would be better to have self-explanatory icons.


Version: 1.23.0
Severity: enhancement

Attached:

Details

Reference
bz59099

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:35 AM
bzimport set Reference to bz59099.
bzimport added a subscriber: Unknown Object (MLST).
Fomafix created this task.Dec 29 2013, 11:45 AM

Hi! Thanks for your patch!

You are welcome to use Developer access

https://www.mediawiki.org/wiki/Developer_access

to submit this as a Git branch directly into Gerrit:

https://www.mediawiki.org/wiki/Git/Tutorial

Putting your branch in Git makes it easier to review it quickly. If you don't want to set up Git/Gerrit, you can also use https://tools.wmflabs.org/gerrit-patch-uploader/
Thanks again! We appreciate your contribution.

Change 105104 had a related patch set uploaded by Gerrit Patch Uploader:
mw.notify() with message type and predefined styles

https://gerrit.wikimedia.org/r/105104

(Fomafix, there are some comments on the gerrit change – I'm posting here since I'm not sure if you're watching it. You should get a labs/gerrit account (aka "Developer access") to be able to get automated mail about new comments from gerrit and to reply there, even if you're using the patch uploader to submit patches :) )

Change 105104 had a related patch set uploaded (by Gerrit Patch Uploader):
mediawiki.notification: Add message type with predefined styles

https://gerrit.wikimedia.org/r/105104

Change 229148 had a related patch set uploaded (by Gerrit Patch Uploader):
Style for notification types

https://gerrit.wikimedia.org/r/229148

Change 229148 merged by jenkins-bot:
Style for notification types

https://gerrit.wikimedia.org/r/229148

Change 105104 merged by jenkins-bot:
mediawiki.notification: Add message type with predefined styles

https://gerrit.wikimedia.org/r/105104

matmarex closed this task as Resolved.Aug 4 2015, 11:23 PM
matmarex assigned this task to Fomafix.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: wikibugs-l-list.

Vector:

Other skins:

Not working on Wikidata, please see my patch.

Change 229344 had a related patch set uploaded (by Jonas Kress (WMDE)):
Fixes css rules warn, error not applied

https://gerrit.wikimedia.org/r/229344

Not working on Wikidata, please see my patch.

https://gerrit.wikimedia.org/r/105104 and the Vector adaption https://gerrit.wikimedia.org/r/229148 are not yet deployed on Wikidata. You patch is not necessary, because https://gerrit.wikimedia.org/r/229148 does this already for skin Vector.

Change 229344 abandoned by Jonas Kress (WMDE):
Fixes css rules warn, error not applied

https://gerrit.wikimedia.org/r/229344